package Ocsinventory::Agent::Backend::OS::BSD::Pcictl::Pcictl;
require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(runpcictl);
use strict;

sub runpcictl {
	my @devices;
	opendir DEV, "/dev" or die "can't open /dev";
	while (my $file = readdir DEV) {
		if ($file =~ m/^pci[0-9]+$/) {
			foreach (`pcictl $file list 2>/dev/null`) {
				chop $_;
				push @devices, $_;
			}
		}
	}
	return @devices;
}

1;
